Update Entry
Updates an existing catalog entry.
PUT
/
v3
/
catalog_entries
/
{id}
Update Entry
curl --request PUT \
--url https://api.incident.io/v3/catalog_entries/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"aliases": [
"lawrence@incident.io",
"lawrence"
],
"attribute_values": {
"abc123": {
"array_value": [
{
"literal": "SEV123"
}
],
"value": {
"literal": "SEV123"
}
}
},
"external_id": "761722cd-d1d7-477b-ac7e-90f9e079dc33",
"name": "Primary On-call",
"rank": 3,
"update_attributes": [
"abc123"
]
}
'import requests
url = "https://api.incident.io/v3/catalog_entries/{id}"
payload = {
"aliases": ["lawrence@incident.io", "lawrence"],
"attribute_values": { "abc123": {
"array_value": [{ "literal": "SEV123" }],
"value": { "literal": "SEV123" }
} },
"external_id": "761722cd-d1d7-477b-ac7e-90f9e079dc33",
"name": "Primary On-call",
"rank": 3,
"update_attributes": ["abc123"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
aliases: ['lawrence@incident.io', 'lawrence'],
attribute_values: {abc123: {array_value: [{literal: 'SEV123'}], value: {literal: 'SEV123'}}},
external_id: '761722cd-d1d7-477b-ac7e-90f9e079dc33',
name: 'Primary On-call',
rank: 3,
update_attributes: ['abc123']
})
};
fetch('https://api.incident.io/v3/catalog_entries/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"catalog_entry": {
"aliases": [
"lawrence@incident.io",
"lawrence"
],
"archived_at": "2021-08-17T14:28:57.801578Z",
"attribute_values": {
"abc123": {
"array_value": [
{
"label": "Lawrence Jones",
"literal": "SEV123"
}
],
"value": {
"label": "Lawrence Jones",
"literal": "SEV123"
}
}
},
"catalog_type_id": "01FCNDV6P870EA6S7TK1DSYDG0",
"created_at": "2021-08-17T13:28:57.801578Z",
"external_id": "761722cd-d1d7-477b-ac7e-90f9e079dc33",
"id": "01FCNDV6P870EA6S7TK1DSYDG0",
"name": "Primary On-call",
"rank": 3,
"updated_at": "2021-08-17T13:28:57.801578Z"
},
"catalog_type": {
"annotations": {
"incident.io/catalog-importer/id": "id-of-config"
},
"categories": [
"customer"
],
"color": "yellow",
"created_at": "2021-08-17T13:28:57.801578Z",
"description": "Represents Kubernetes clusters that we run inside of GKE.",
"dynamic_resource_parameter": "abc123",
"estimated_count": 7,
"icon": "alert",
"id": "01FCNDV6P870EA6S7TK1DSYDG0",
"is_editable": false,
"is_team_type": false,
"last_synced_at": "2021-08-17T13:28:57.801578Z",
"name": "Kubernetes Cluster",
"owning_team_ids": [
"01G0J1EXE7AXZ2C93K61WBPYEH"
],
"ranked": true,
"registry_type": "PagerDutyService",
"required_integrations": [
"pager_duty"
],
"schema": {
"attributes": [
{
"array": false,
"backlink_attribute": "abc123",
"id": "01GW2G3V0S59R238FAHPDS1R66",
"mode": "",
"name": "tier",
"path": [
{
"attribute_id": "abc123",
"attribute_name": "abc123"
}
],
"type": "Custom[\"Service\"]"
}
],
"version": 1
},
"source_repo_url": "https://github.com/my-company/incident-io-catalog",
"type_name": "Custom[\"BackstageGroup\"]",
"updated_at": "2021-08-17T13:28:57.801578Z",
"use_name_as_identifier": true
}
}Authorizations
API key from your incident.io dashboard (Settings → API keys)
Path Parameters
ID of this catalog entry
Example:
"01FCNDV6P870EA6S7TK1DSYDG0"
Body
application/json
Values of this entry
Show child attributes
Show child attributes
Example:
{
"abc123": {
"array_value": [{ "literal": "SEV123" }],
"value": { "literal": "SEV123" }
}
}
Name is the human readable name of this entry
Example:
"Primary On-call"
Optional aliases that can be used to reference this entry
Example:
["lawrence@incident.io", "lawrence"]
An optional alternative ID for this entry, which is ensured to be unique for the type
Example:
"761722cd-d1d7-477b-ac7e-90f9e079dc33"
When catalog type is ranked, this is used to help order things
Example:
3
If provided, only update these attribute_values keys. If not provided, update all attribute values. If you specify an attribute key that's not in your payload, the associated attribute value will be cleared.
Example:
["abc123"]
Was this page helpful?
⌘I
Update Entry
